name='discord'
version='0.0.22'
release='1'
desc='Discord (popular voice + video app) using the system provided electron for increased security and performance'
homepage='homepage=''https://discord.com/'
architectures=('amd64')
license=('custom')
provides=('discord')
conflicts=('discord')

deps=('libXScrnSaver' 'xdg-utils')

sources=("https://dl.discordapp.net/apps/linux/${version}/${name}-${version}.tar.gz")
checksums=('SKIP')

prepare() {
cd ${srcdir}
sed -i "s|Exec=/usr/share/discord/Discord|Exec=/usr/bin/${name}|" ./Discord/discord.desktop
}

package() {
install -Dm755 "${srcdir}/Discord/Discord" "${pkgdir}/usr/bin/discord"
cd "${srcdir}/Discord"
install -dm0755 "${pkgdir}/opt/discord/"
find . -type d -exec install -d {,"${pkgdir}/opt/discord/"}{} \;
find . -type f -exec install -D {,"${pkgdir}/opt/discord/"}{} \;
install -Dm644 "${srcdir}/Discord/discord.png" "${pkgdir}/usr/share/pixmaps/discord.png"
install -Dm644 "${srcdir}/Discord/discord.desktop" "${pkgdir}/usr/share/applications/discord.desktop"
}